#! /bin/bash

if [[ ! -d "build/" ]]
then
	mkdir build
fi

# if doing shader development, disable the cache to make sure changes take affect
rm -rf /tmp/fggl/

pushd build
cmake ..
make
popd

pushd demo
../build/demo/FgglDemo > /tmp/fggl.log 2>&1 &
popd
